slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDCreate

Creates the default SVD context.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDCreate(MPI_Comm comm,SVD *outsvd)

Collective

### Input Parameter

| comm | - MPI communicator

### Output Parameter

| outsvd | - location to put the SVD context

### Note

The default SVD type is SVDCROSS

### See Also

SVDSetUp(), SVDSolve(), SVDDestroy(), SVD

### Level

beginner

### Location

src/svd/interface/svdbasic.c

### Examples

src/svd/tutorials/ex8.c
src/svd/tutorials/ex14.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c
src/svd/tutorials/ex48.c
src/svd/tutorials/ex51.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex53.c
src/svd/tutorials/cnetwork/embedgsvd.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages